#!/usr/bin/env bash
set -e
sleep 5


echo ">>>> Tests"

echo ">>> Syntax Check"

if ! test -f "./docker-compose.yml" 
then
    echo ">> ERROR: No docker-compose.yml in directory"
    continue
fi

echo ">> Syntax check"

docker compose convert -q

echo "Passed syntax check"
